Recommended update for SUSEConnect

SUSE Recommended Update: Recommended update for SUSEConnect
Announcement ID: SUSE-RU-2018:2446-1
Rating: moderate
References: #1093658 #1094348
Affected Products:
  • SUSE CaaS Platform 3.0

  • An update that has two recommended fixes can now be installed.

    Description:

    This update for SUSEConnect provides the following fixes:

    - Add dependencies needed by the rmt-client-setup script as Recommends.
    (bsc#1093658, bsc#1094348)
    - Enhance error message generation.
    - Add not supported operation exception to PackageSearch API.
    - Prevent the automatic registration of recommended products that are not
    mirrored by the registration proxy.

    Patch Instructions:

    To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
    Alternatively you can run the command listed for your product:

    • SUSE CaaS Platform 3.0:
      To install this update, use the SUSE CaaS Platform Velum dashboard. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.

    Package List:

    • SUSE CaaS Platform 3.0 (x86_64):
      • SUSEConnect-0.3.11-3.19.1

    References: